# GCC_ConferenceJoinResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceJoinResponse:

List of all members.

## Public Types

enum | OptionalFields { e_nodeID, e_conferenceNameAlias, e_conductorPrivileges, e_conductedPrivileges, e_nonConductedPrivileges, e_conferenceDescription, e_password, e_userData }

## Public Member Functions

| GCC_ConferenceJoinResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_UserID | m_nodeID
GCC_UserID | m_topNodeID
PASN_Integer | m_tag
GCC_ConferenceNameSelector | m_conferenceNameAlias
PASN_Boolean | m_passwordInTheClearRequired
PASN_Boolean | m_lockedConference
PASN_Boolean | m_listedConference
PASN_Boolean | m_conductibleConference
GCC_TerminationMethod | m_terminationMethod
GCC_ArrayOf_Privilege | m_conductorPrivileges
GCC_ArrayOf_Privilege | m_conductedPrivileges
GCC_ArrayOf_Privilege | m_nonConductedPrivileges
GCC_TextString | m_conferenceDescription
GCC_PasswordChallengeRequestResponse | m_password
GCC_ConferenceJoinResponse_result | m_result
GCC_UserData | m_userData

## Member Enumeration Documentation

enum GCC_ConferenceJoinResponse::OptionalFields

Enumerator:

  e_nodeID |
  e_conferenceNameAlias |
  e_conductorPrivileges |
  e_conductedPrivileges |
  e_nonConductedPrivileges |
  e_conferenceDescription |
  e_password |
  e_userData |

## Constructor & Destructor Documentation

GCC_ConferenceJoinResponse::GCC_ConferenceJoinResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceJoinResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceJoinResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceJoinResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceJoinResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceJoinResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceJoinResponse::Clone | ( |  | ) | const

## Member Data Documentation

GCC_UserID GCC_ConferenceJoinResponse::m_nodeID

GCC_UserID GCC_ConferenceJoinResponse::m_topNodeID

PASN_Integer GCC_ConferenceJoinResponse::m_tag

GCC_ConferenceNameSelector GCC_ConferenceJoinResponse::m_conferenceNameAlias

PASN_Boolean GCC_ConferenceJoinResponse::m_passwordInTheClearRequired

PASN_Boolean GCC_ConferenceJoinResponse::m_lockedConference

PASN_Boolean GCC_ConferenceJoinResponse::m_listedConference

PASN_Boolean GCC_ConferenceJoinResponse::m_conductibleConference

GCC_TerminationMethod GCC_ConferenceJoinResponse::m_terminationMethod

GCC_ArrayOf_Privilege GCC_ConferenceJoinResponse::m_conductorPrivileges

GCC_ArrayOf_Privilege GCC_ConferenceJoinResponse::m_conductedPrivileges

GCC_ArrayOf_Privilege GCC_ConferenceJoinResponse::m_nonConductedPrivileges

GCC_TextString GCC_ConferenceJoinResponse::m_conferenceDescription

GCC_PasswordChallengeRequestResponse GCC_ConferenceJoinResponse::m_password

GCC_ConferenceJoinResponse_result GCC_ConferenceJoinResponse::m_result

GCC_UserData GCC_ConferenceJoinResponse::m_userData

The documentation for this class was generated from the following file:

- gcc.h